Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1420491 - Can't configure database replication
Summary: Can't configure database replication
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Replication
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: cfme-future
Assignee: Nick Carboni
QA Contact: Alex Newman
URL:
Whiteboard: replication
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-08 19:59 UTC by Saif Ali
Modified: 2020-03-11 15:46 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-01 16:34:26 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)

Description Saif Ali 2017-02-08 19:59:19 UTC
Description of problem:
Replication Server Configuration

        Cluster Node Number:        2
        Cluster Database Name:      vmdb_production
        Cluster Database User:      root
        Cluster Database Password:  "********"
        Cluster Primary Host:       172.26.2.120
        Standby Host:               172.26.2.227
        Automatic Failover:         enabled
Apply this Replication Server Configuration? (Y/N): Y
Configuring Replication Standby Server...
[2017-02-07 12:15:42] [NOTICE] destination directory
'/var/opt/rh/rh-postgresql95/lib/pgsql/data' provided
[2017-02-07 12:15:42] [ERROR] parameter 'max_replication_slots' must be set to
at least 1 to enable replication slots
[2017-02-07 12:15:42] [HINT] 'max_replication_slots' should be set to at least
the number of expected standbys
Failed to configure replication server
/opt/rh/cfme-gemset/gems/awesome_spawn-1.4.1/lib/awesome_spawn.rb:105:in `run!': repmgr exit code: 1 (AwesomeSpawn::CommandResultError)
	from /var/www/miq/vmdb/gems/pending/appliance_console/database_replication.rb:101:in `block in run_repmgr_command'
	from /var/www/miq/vmdb/gems/pending/appliance_console/database_replication.rb:98:in `fork'
	from /var/www/miq/vmdb/gems/pending/appliance_console/database_replication.rb:98:in `run_repmgr_command'
	from /var/www/miq/vmdb/gems/pending/appliance_console/database_replication_standby.rb:86:in `clone_standby_server'
	from /var/www/miq/vmdb/gems/pending/appliance_console/database_replication_standby.rb:62:in `activate'
	from /var/www/miq/vmdb/gems/pending/appliance_console.rb:488:in `block in <module:ApplianceConsole>'
	from /var/www/miq/vmdb/gems/pending/appliance_console.rb:109:in `loop'
	from /var/www/miq/vmdb/gems/pending/appliance_console.rb:109:in `<module:ApplianceConsole>'
	from /var/www/miq/vmdb/gems/pending/appliance_console.rb:95:in `<main>'
Database Replication not configured

Version-Release number of selected component (if applicable):
4.2

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 5 Nick Carboni 2017-02-20 14:46:58 UTC
This is probably just a documentation issue.

There were some changes recently to how we documented editing postgresql.conf between versions.

Can you make sure that the values in [1] have been properly set on all postgres servers?


[1] https://access.redhat.com/documentation/en-us/red_hat_cloudforms/4.2/html-single/migrating_to_red_hat_cloudforms_4.2/#migrating_vmdb_appliances_from_cfme_5_5_to_5_7

Comment 6 Nick Carboni 2017-03-01 16:34:26 UTC
I'm going to close this as NOTABUG. We were not able to reproduce the issue and there has been no activity for a week after a fix was suggested.


Note You need to log in before you can comment on or make changes to this bug.